## magit-todos 1.8

=== Makefile ===
# * makem.sh/Makefile --- Script to aid building and testing Emacs Lisp packages

# This Makefile is from the makem.sh repo: <https://github.com/alphapapa/makem.sh>.

# * Arguments

# For consistency, we use only var=val options, not hyphen-prefixed options.

# NOTE: I don't like duplicating the arguments here and in makem.sh,
# but I haven't been able to find a way to pass arguments which
# conflict with Make's own arguments through Make to the script.
# Using -- doesn't seem to do it.

ifdef install-deps
	INSTALL_DEPS = "--install-deps"
endif
ifdef install-linters
	INSTALL_LINTERS = "--install-linters"
endif

ifdef sandbox
	ifeq ($(sandbox), t)
		SANDBOX = --sandbox
	else
		SANDBOX = --sandbox=$(sandbox)
	endif
endif

ifdef debug
	DEBUG = "--debug"
endif

# ** Verbosity

# Since the "-v" in "make -v" gets intercepted by Make itself, we have
# to use a variable.

verbose = $(v)

ifneq (,$(findstring vv,$(verbose)))
	VERBOSE = "-vv"
else ifneq (,$(findstring v,$(verbose)))
	VERBOSE = "-v"
endif

# * Rules

# TODO: Handle cases in which "test" or "tests" are called and a
# directory by that name exists, which can confuse Make.

%:
	@./makem.sh $(DEBUG) $(VERBOSE) $(SANDBOX) $(INSTALL_DEPS) $(INSTALL_LINTERS) $(@)

.DEFAULT: init
init:
	@./makem.sh $(DEBUG) $(VERBOSE) $(SANDBOX) $(INSTALL_DEPS) $(INSTALL_LINTERS)

## magit-todos 1.5.2

=== debian/changelog ===
magit-todos (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * d/control: Recommend git or ripgrep

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 04 Apr 2020 17:10:29 +0500

magit-todos (1.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #951450)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 16 Feb 2020 22:00:13 +0500

=== debian/control ===
Source: magit-todos
Section: vcs
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/alphapapa/magit-todos
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-todos
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-todos.git

Package: elpa-magit-todos
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
Recommends: emacs (>= 46.0),
            git | ripgrep
Enhances: emacs
Description: show source file TODOs in Magit
 This package displays keyword entries from source code comments and Org files
 in the Magit status buffer.  Activating an item jumps to it in its file.  By
 default, it uses keywords from `hl-todo', minus a few (like "NOTE").

## magit-todos 1.5.3

=== debian/changelog ===
magit-todos (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * Refresh patch to clean documentation
  * d/control: Migrate to debhelper-compat 13

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 07 Nov 2020 21:26:09 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%magit-todos-$1.tar.gz%" \
             https://github.com/alphapapa/magit-todos/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## magit-todos 1.6

=== debian/changelog ===
magit-todos (1.6-1) unstable; urgency=medium

  * New upstream version 1.6
  * Add upstream metadata
  * Refresh patch to clean documentation
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/copyright: Bump copyright years
  * d/rules: Skip upstream clean, build, and install

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 21 Jun 2023 22:26:02 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/alphapapa/magit-todos
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-todos

## magit-todos 1.7

=== debian/changelog ===
magit-todos (1.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Lev Lamberov ]
  * New upstream version 1.7
  * Update patch to clean documentation

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 29 Aug 2023 12:07:35 +0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends},
-Recommends: emacs (>= 46.0),
+Recommends: emacs,
             git | ripgrep
 Enhances: emacs
 Description: show source file TODOs in Magit

## magit-todos 1.7.2

=== debian/changelog ===
magit-todos (1.7.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:40:58 +0900

magit-todos (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 09 Apr 2024 11:58:30 +0500

## magit-todos 1.8

=== debian/changelog ===
magit-todos (1.8-1) unstable; urgency=medium

  * New upstream version 1.8
  * Refresh patch to clean documentation

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 24 Sep 2024 14:48:04 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/alphapapa/magit-todos
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-todos

## magit-todos 1.8.1

=== debian/changelog ===
magit-todos (1.8.1-1) unstable; urgency=medium

  [ Lev Lamberov ]
  * New upstream version 1.8.1
  * Update patch to clean version number
  * d/control: Declare Standards-Version 4.7.3
  * d/control: Drop Priority field
  * d/control: Drop Rules-Requires-Root: no
  * d/copyright: Bump copyright years
  * d/watch: Migrate to version 5

  [ root ]
  * Remove constraints unnecessary since buster

  [ Sean Whitton ]
  * Rebuild against dh-elpa 2.1.5

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 03 Jan 2026 11:16:23 +0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: magit-todos
 Section: vcs
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/alphapapa/magit-todos
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-todos
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit-todos.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: alphapapa
Project: magit-todos
Filename-Mangle: auto
